Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154070 - Installer hangs when loading sata_piix module on Dell Poweredge 800
Summary: Installer hangs when loading sata_piix module on Dell Poweredge 800
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 23:49 UTC by Paul Wouters
Modified: 2015-01-04 22:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 18:00:01 UTC


Attachments (Terms of Use)

Description Paul Wouters 2005-04-06 23:49:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Installer hangs when loading sata_piix module on Dell Poweredge 800 when trying to install to a SATA harddisk from cdrom.

FC3 installer works fine on the same machine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Buy a Dell poweredge 800
2. put FC4-test1 ISO in
3. boot and wait :)
  

Additional info:

Comment 1 David Bentley 2005-04-08 22:38:36 UTC
Installer also hangs on my system but when loading the SATA_SIL module and
displays a message about disabling interupt #10.

My system is based on an Intel SE7505VB2 server board.

This problem is also reported in bug number 151347 but filed against the kernel
rather than anaconda.

Comment 2 Marius Andreiana 2005-04-18 10:56:45 UTC
FYI, I installed FC4t2 on SATA hdd booting from hda hdd with intel i865 chipset
on Gigabyte mb.

Comment 3 Bill Peck 2005-04-26 14:16:43 UTC
I have this machine in Red Hat QA.  Latest rawhide-20050426/i386 hangs when
loading ata_piix driver.  FC4-re0425.0/i386/i386 shows the same problem.

On console 4 I see the following:

<7>libata version 1.10 loaded.
<7>ata_piix version 1.03
<4>ACPI: PCI Interrupt 0000:00:1f.2[C]: no GSI - using IRQ 3
<7>PCUL Setting latency timer of device 0000:00:1f.2 to 64
<6>ata1: SATA max UDMA/133 cmd 0xDCF0 ctl 0xDCEA bmdma 0xDC40 irq 3
<6>ata2: SATA max UDMA/133 cmd 0xDC58 ctl 0xDCE2 bmdma 0xDC48 irq 3
<7>ata1: dev 0 cfg 49:2f00 82:3469 83:7f61 84:4003 85:3469 86:3c41 87:4003 88:7f
<6>ata1: dev 0 ATA, max UDMA/133, 488281250 sectors: lba48

Whats odd is that RHEL4-U1-re0425.nightly/i386/i386-AS works fine on this
machine.  I checked the versions of libata and ata_piix and they are the same
according to dmesg.  RHEL4 prints the same lines as above with these appended:

libata version 1.10 loaded.
ata_piix version 1.03
ACPI: PCI interrupt 0000:00:1f.2[C]: no GSI - using IRQ 3
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0xDCF0 ctl 0xDCEA bmdma 0xDC40 irq 3
ata2: SATA max UDMA/133 cmd 0xDC58 ctl 0xDCE2 bmdma 0xDC48 irq 3
ata1: dev 0 cfg 49:2f00 82:3469 83:7f61 84:4003 85:3469 86:3c41 87:4003 88:207f
ata1: dev 0 ATA, max UDMA/133, 488281250 sectors: lba48
ata1: dev 0 configured for UDMA/133
scsi0 : ata_piix
ata2: dev 0 cfg 49:2f00 82:346b 83:7d01 84:4023 85:3469 86:3c01 87:4023 88:207f
ata2: dev 0 ATA, max UDMA/133, 488397168 sectors: lba48
ata2: dev 0 configured for UDMA/133


Comment 4 Dave Jones 2005-06-27 23:24:15 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 5 Paul Wouters 2005-06-28 02:41:33 UTC
unfortunately, the machine is now in production 6000km away from me. I cannot
help you test anything with it anymore.

Comment 6 David Bentley 2005-07-04 21:20:13 UTC
I still see exactlly the same symptom as descibed in comment #1 with FC4 FINAL.

Also see my comments on bug 151347.


Note You need to log in before you can comment on or make changes to this bug.